#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	s-nail
Version		:	14.9.24
Release		:	17.2.0.rel%{?dist}
Summary		:	S-nail provides a simple and friendly environment for sending and receiving mail. 
Group		:	Applications/Internet

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://www.sdaoden.eu/code.html

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
Provides	:	mailx

Requires(post)	:	/usr/bin/sed
Requires(post)	:	/usr/bin/hostname
Requires	:	nullmailer
#-----------------------------------------------------------------------------
%description
S-nail (later S-mailx) provides a simple and friendly environment for
sending and receiving mail.  It is intended to provide the functionality
of the POSIX mailx(1) command, but is MIME capable and optionally offers
extensions for line editing, S/MIME, SMTP and POP3, among others.
S-nail divides incoming mail into its constituent messages and allows
the user to deal with them in any order.  It offers many commands and
internal variables for manipulating messages and sending mail.  It
provides the user simple editing capabilities to ease the composition of
outgoing messages, and increasingly powerful and reliable
non-interactive scripting capabilities.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%attr (0555,root,root) %{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.rc
%{_libexecdir}/%{name}-dotlock
%{_mandir}/man1/%{name}.1.gz


%preun
if [ "$1" = 0 ]; then
  domain=`hostname -d`
  if [ -n "${domain}" ] ; then
    sed -i -e "/^root: sysadmin@${domain}/d" %{_sysconfdir}/aliases
    fi
  fi

%post
if [ "$1" = 1 ]; then
  domain=`hostname -d`
  if [ -n "${domain}" ] ; then
    echo "root: sysadmin@${domain}" >> %{_sysconfdir}/aliases
    fi
  fi

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

%{__make}						\
	VAL_PREFIX=%{_prefix}				\
	VAL_SYSCONFDIR=%{_sysconfdir}			\
	VAL_LIBEXECDIR=%{_libexecdir}			\
	VAL_BINDIR=%{_bindir}				\
	VAL_MANDIR=%{_mandir}				\
	OPT_DEBUG=yes					\
	OPT_NOMEMDBG=yes				\
	OPT_MTA_ALIASES=yes				\
	config						

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	MAKEJOBS=%{_smp_mflags}				\
	build
   
echo "set mta-aliases=/etc/aliases" >> nail.rc

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#to allow stripping
%{__chmod} +w %{buildroot}%{_bindir}/%{name}

#-----------------------------------------------------------------------------
%changelog
